For a known Kubernetes issues, you may need to add to the node you would like to access:
$sudo iptables -A FORWARD -j ACCEPT
if you can only access the GUI from the node where xos-gui pod runs.
+
+NOTE: install.sh is a symbolic link of one of the files:
+ 1. install-cord-6.1.0.sh is using cord-platform-6.1.0
+ 2. ../test/ponsim/install.sh is using cord-platform-7.0.0
--- /dev/null
+#!/bin/bash -ex
+# shellcheck disable=SC2016
+
+#Modified from https://github.com/cachengo/seba_charts/blob/master/scripts/installSEBA.sh
+
+basepath=$(cd "$(dirname "$0")"; pwd)
+CORD_REPO=${CORD_REPO:-https://charts.opencord.org}
+CORD_PLATFORM_VERSION=${CORD_PLATFORM_VERSION:-6.1.0}
+SEBA_VERSION=${SEBA_VERSION:-1.0.0}
+ATT_WORKFLOW_VERSION=${ATT_WORKFLOW_VERSION:-1.0.2}
+CORD_CHART=${CORD_CHART:-${basepath}/../src_repo/seba_charts}
+
+# TODO(alav): Make each step re-entrant
+
+# shellcheck source=/dev/null
+source util.sh
+
+wait_for 10 'test $(kubectl get pods --all-namespaces | grep -ce "tiller.*Running") -eq 1'
+
+# Add the CORD repository and update indexes
+
+if [ "$(uname -m)" == "aarch64" ]; then
+ if [ ! -d "${CORD_CHART}/cord-platform" ]; then
+ #git clone https://github.com/iecedge/seba_charts ${CORD_CHART}
+ cd "$(git rev-parse --show-toplevel)"
+ git submodule update --init "${CORD_CHART}"
+ cd "${basepath}/../src_repo"
+ fi
+else
+ helm repo add cord "${CORD_REPO}"
+ helm repo update
+ CORD_CHART=cord
+fi
+
+
+# Install the CORD platform
+helm install -n cord-platform ${CORD_CHART}/cord-platform --version="${CORD_PLATFORM_VERSION}"
+# Wait until 3 etcd CRDs are present in Kubernetes
+wait_for 300 'test $(kubectl get crd | grep -ice etcd) -eq 3' || true
+
+# Install the SEBA profile
+helm install -n seba --version "${SEBA_VERSION}" ${CORD_CHART}/seba
+wait_for 500 'test $(kubectl get pods | grep -vcE "(\s(.+)/\2.*Running|tosca-loader.*Completed)") -eq 1' || true
+
+# Install the AT&T workflow
+helm install -n att-workflow --version "${ATT_WORKFLOW_VERSION}" ${CORD_CHART}/att-workflow
+wait_for 500 'test $(kubectl get pods | grep -vcE "(\s(.+)/\2.*Running|tosca-loader.*Completed)") -eq 1' || true
+
+++ /dev/null
-#!/bin/bash -ex
-# shellcheck disable=SC2016
-
-#Modified from https://github.com/cachengo/seba_charts/blob/master/scripts/installSEBA.sh
-
-basepath=$(cd "$(dirname "$0")"; pwd)
-CORD_REPO=${CORD_REPO:-https://charts.opencord.org}
-CORD_PLATFORM_VERSION=${CORD_PLATFORM_VERSION:-6.1.0}
-SEBA_VERSION=${SEBA_VERSION:-1.0.0}
-ATT_WORKFLOW_VERSION=${ATT_WORKFLOW_VERSION:-1.0.2}
-CORD_CHART=${CORD_CHART:-${basepath}/../src_repo/seba_charts}
-
-# TODO(alav): Make each step re-entrant
-
-# shellcheck source=/dev/null
-source util.sh
-
-wait_for 10 'test $(kubectl get pods --all-namespaces | grep -ce "tiller.*Running") -eq 1'
-
-# Add the CORD repository and update indexes
-
-if [ "$(uname -m)" == "aarch64" ]; then
- if [ ! -d "${CORD_CHART}/cord-platform" ]; then
- #git clone https://github.com/iecedge/seba_charts ${CORD_CHART}
- cd "$(git rev-parse --show-toplevel)"
- git submodule update --init "${CORD_CHART}"
- cd "${basepath}/../src_repo"
- fi
-else
- helm repo add cord "${CORD_REPO}"
- helm repo update
- CORD_CHART=cord
-fi
-
-
-# Install the CORD platform
-helm install -n cord-platform ${CORD_CHART}/cord-platform --version="${CORD_PLATFORM_VERSION}"
-# Wait until 3 etcd CRDs are present in Kubernetes
-wait_for 300 'test $(kubectl get crd | grep -ice etcd) -eq 3' || true
-
-# Install the SEBA profile
-helm install -n seba --version "${SEBA_VERSION}" ${CORD_CHART}/seba
-wait_for 500 'test $(kubectl get pods | grep -vcE "(\s(.+)/\2.*Running|tosca-loader.*Completed)") -eq 1' || true
-
-# Install the AT&T workflow
-helm install -n att-workflow --version "${ATT_WORKFLOW_VERSION}" ${CORD_CHART}/att-workflow
-wait_for 500 'test $(kubectl get pods | grep -vcE "(\s(.+)/\2.*Running|tosca-loader.*Completed)") -eq 1' || true
-
--- /dev/null
+../test/ponsim/install.sh
\ No newline at end of file
ln -s "${basepath}/../../src_repo/helm-charts" "${CHARTS}"
cd "${AUTO_TOOLS}/seba-in-a-box"
+# shellcheck source=/dev/null
. env.sh
# Now calling make, to install PONSim